
/*  Chat Instance Window start */
.instance_window{
    position: fixed;
    display: block;
    height: 397px;
    width: 300px;
    bottom: -355px;
    background-color: #595959;
    z-index: 99;
    right: 5px;
    /*overflow: hidden;*/
    border: 1px solid #0d5a8f;
}
.instance_window textarea,input[type=text],input[type=password]{
    border-radius: 0px;
    -moz-border-radius: 0px;
    -ms-border-radius: 0px;
    -webkit-border-radius: 0px;
}

body .wk_hidden_view{
    display: none;
    width: 43px;
    height: 38px;
    position: fixed;
    right: 0px;
    bottom: 10px;
}

/*  Chat Instance Window end */
#wk_modelEmoji .wk_sym {
    display: inline-block;
    height: auto;
    overflow: hidden;
    width: 15%;
}

/*  header css start*/
.instance_header{
    background: #0d5a8f;
    height: 45px;
    width: 100%;
    display: block;
    padding: 5px;
    cursor: pointer;
    overflow: auto;
}
.header_logo{
    height: 35px;
    width: 36px;
    direction: block;
    float: left;
}
.support_name{
    font-family: open-sans;
    color: #ffffff;
    font-size: 16px;
    font-weight: bold;
    width: auto;
    min-width: 130px;
    padding: 0 5px;
    direction: block;
    float: left;
    line-height: 1.2;
    position: relative;
}
.support_name .wk_support_name{
    font-family: open-sans;
    font-weight: 600;
    font-size: 11px;
    padding: 0 5px;
}
.header_close{
    float: right;
    height: 30px;
    padding: 5px 0px;
    display: inline-flex;
    -ms-display: inline-flex;
    -webkit-display: inline-flex;
}
.header_close .wk_instance_history{
    background: url("../../../../image/store_chat/Clock.png");
    background-repeat: no-repeat;
    height: 20px;
    width: 30px;
    margin-top: 2px;
    visibility: hidden;

}
.wk_instance_history .wk_chat_history_options{
    background-color: #FFFFFF;
    border: 1px solid #0d5a8f;
    position: absolute;
    width: 115px;
    height: auto;
    top: 40px;
    right: 50px;
    z-index: 999;
    display: none;
}
.wk_chat_history_options .status_point{
    background-color: #FFFFFF;
    border-width: 1px 0px 0px 1px;
    border-style: solid;
    border-color: #0d5a8f;
    position: absolute;
    width:15px;
    height: 15px;
    right: 18px;
    top: -8px;
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
}

.wk_instance_history .list-group-item:hover{
    background-color: #2b99ce;
    color: #FFFFFF;
}
.list-group-item{
    cursor: pointer;
}
.header_close .wk_instance_minimize{
    background: url("../../../../image/store_chat/Minimize.png");
    background-repeat: no-repeat;
    height: 15px;
    width: 25px;
    margin-top:10px;
}
.header_close .wk_instance_maximize{
    background: url("../../../../image/store_chat/New-Window.png");
    background-repeat: no-repeat;
    height: 15px;
    width: 25px;
    margin-top:5px;
}
.header_close .wk_instance_close{
    background: url("../../../../image/store_chat/Close.png");
    background-repeat: no-repeat;
    height: 25px;
    width: 25px;
    margin-top:5px;
}

/*  header css end*/

/* instance body area */
.instance_body{
    display: block;
    width:100%;
    /*height:100%;*/
    height: 350px;
    background: #e8e8e8;
    overflow: hidden;
    padding: 10px;
    /*display: none;*/
}
.instance_body_inner{
    border: 1px solid #9e9e9e;
    padding: 5px;
    min-height: 330px;
}
.instance_ul_tab{
    margin: 0px !important;
    border-radius: 0px;
    position: relative;
}
.instance_ul_tab .wk_point{
    background-color: #0d5a8f;
    width: 10px;
    height: 10px;
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -webket-transform: rotate(45deg);
    position: absolute;
    top: 29px;
    left: 58px;
}
.instance_body .instance_body_inner ul > li{
    width: 125px;
    margin-right:7px;
    background-color: #0d5a8f;
}
.instance_body .instance_body_inner ul > li > a{
    margin: 0px;
    color: #FFFFFF;
    padding: 7px;
    font-family: open-sans;
    font-weight: 700px;
    font-size: 14px;
    text-align: center;
    border: none !important;
    border-radius: 0px;
    cursor: pointer;
    outline: none;
}
.instance_body .instance_body_inner ul > li:hover > a{
    background-color: #ec9e00;
    color: #FFFFFF;
}
.instance_body .instance_body_inner ul > li:hover > .wk_point{
    background-color: #ec9e00;
}
.login_content{
    width:100%;
    height: auto;
    display: block;
}
body .login_content .field_content{
    margin: 0px !important;
    padding: 0px 5px;
}
body .wk_seller_interest .field_content{
    margin: 0px !important;
    padding: 0px 5px;
    position: absolute;
    bottom: 0;
    width: 270px;
}
body .wk_label_field{
    border-bottom: 1px solid #9e9e9e;
    width:100%;
    display: inline-flex;
}
.login_email_address{
    background: url("../../../../image/store_chat/Email.png");
    background-repeat: no-repeat;
    height: 24px;
    width:24px;
    margin-right: 10px;
}
.login_password{
    background: url("../../../../image/store_chat/Password.png");
    background-repeat: no-repeat;
    height: 24px;
    width:24px;
    margin-right: 10px;
}
.login_message{
    background: url("../../../../image/store_chat/Message.png");
    background-repeat: no-repeat;
    height: 24px;
    width:24px;
    margin-right: 10px;
}
.login_user{
    background: url("../../../../image/store_chat/User.png");
    background-repeat: no-repeat;
    height: 24px;
    width:24px;
    margin-right: 10px;
}

.chat_required{
    color: #DD4B39;
}

.login_text{
    color: #0d5a8f;
    font-family: open-sans;
    font-weight: 700;
    font-size: 14px;
    padding-top: 4px;
}
.chat_textbox{
    width: 100%;
    height: auto;
    color: #9e9e9e;
}
.instance_window .fa{
    font-size: 19px;
}
.instance_window .fa-stack{
    height: 1em;
    color: #000;
}
.instance_window .fa-star{
    color: #d8c602;
}

#wk_modelEmoji .fade{
    opacity: 1;
}
#wk_modelEmoji .em{
    font-size: 2em;
}
.wk_submit_btn{
    background-color: #18a456;
    color: #ffffff;
    width: 100%;
    font-family: open-sans;
    font-weight: 300;
    font-size: 14px;
    margin-top: 8px;
    border-radius: 0px;
    -moz-border-radius: 0px;
    -ms-border-radius: 0px;
    -webkit-border-radius: 0px;
}
/* instance body area end */

.instance_body_inner .wk_loading_content{
    max-height: 350px;
    width:100%;
    display: block;
}
.instance_body_inner .wk_loading_user_name{
    overflow: hidden;
    height: auto;
    display: block;
    padding: 5px;
    text-align: center;
}
.wk_loading_content .wk_loading_howdy{
    font-family: open-sans;
    font-weight: 700;
    font-size: 16px;
    color: #0d5a8f;
}
.wk_loading_user_name .wk_loading_name{
    font-family: open-sans;
    font-weight: 700;
    font-size: 16px;
    color: #5d5d5d;
    text-align: center;
}
.wk_loading_content .wk_waiting_logo{
    height: 125px;
    display: block;
    text-align: center;
}
.wk_loading_content .wk_waitingtime_logo{
    background: url("../../../../image/store_chat/Sandclock.png");
    background-repeat: no-repeat;
    height: 100%;
    width: 125px;
    float: left;
    margin-left: 70px;
}
.wk_loading_content .wk_waiting_loading{
    height: auto;
    padding: 5px;
    text-align: center;
    overflow: hidden;
    border-bottom: 2px solid #9e9e9e;
    box-shadow: 0px 1px #F1F1F1;
}
.wk_loading_content .wk_loading_msgbox{
    display: block;
    height: auto;
    padding: 5px;
    font-family: open-sans;
    font-weight: 400;
    font-size: 14px;
    margin:3px 0px;
    text-align: center;
    border: 1px solid #9e9e9e;
    background-color: #FFFFFF;
}
.wk_waiting_mailus{
    height: auto;
    padding: 5px 3px;
    font-family: open-sans;
    font-weight: 400;
    font-size: 14px;
    text-align: center;
    border: 1px solid #9e9e9e;
    background-color: #FFFFFF;
}
.wk_waiting_mailus .wk_waiting_mail{
    font-family: open-sans;
    font-size: 14px;
    cursor: pointer;
    color: #0d5a8f;
    font-weight: 700;
}



/*user instance after loggin*/
    /* option area*/
        .user_LoginChat_area{
            min-height: 350px;
            width: 100%;
            display: block;
        }
        .user_option_area{
            border-bottom: 1px solid #0d5a8f;
            background-color: #FFFFFF;
            height: 57px;
            padding:5px;
            display: block;
            -moz-box-shadow:    0px 0px 5px 0px #000;
            -webkit-box-shadow: 0px 0px 5px 0px #000;
            box-shadow:         0px 0px 5px 0px #000;
        }
        .user_LoginChat_area .loggin_user_info{
            width: auto;
            height: 100%;
        }
        .user_LoginChat_area .user_login_logo{
            background: url("../../../../image/store_chat/Agent-Pic.png");
            background-repeat: no-repeat;
            height: 42px;
            width: 42px;
            float: left;
            display: inline;
        }
        .instance_body .wk_user_name_info {
            width: 58%;
        }
        .wk_user_name_info{
            display: inline;
            padding: 4px;
            float: left;
            overflow: hidden;
        }
        .wk_user_name_info .wk_user_name{
            font-family: open-sans;
            font-weight: 700;
            font-size: 14px;
            color: #0d5a8f;
            position: relative;
            width: auto;
        }
        .wk_user_name .wk_user_status{
            width:10px;
            height: 10px;
            position: absolute;
            top: 5px;
            right: 0px;
            border-radius: 50%;
            background-color: #6BB555;
        }
        .wk_user_name_info .wk_user_email{
            font-family: open-sans;
            font-weight: bold;
            font-size: 12px;
            color: #424242;
        }

        .wk_loggin_setting_area{
            float: right;
            width:auto;
            padding: 5px 0;
            display: block;
        }
        .wk_loggin_setting_area .wk_chat_status{
            background: url("../../../../image/store_chat/Drop-Down.png");
            background-repeat: no-repeat;
            height: 24px;
            width:24px;
            float: right;
            position: relative;
            margin-top: 12px;
        }
        .wk_chat_status .wk_chat_status_options{
            background-color: #FFFFFF;
            border: 1px solid #0d5a8f;
            position: absolute;
            width: 285px;
            height: auto;
            top: 29px;
            right: -50px;
            z-index: 999;
            display: none;
        }
        .wk_chat_status_options .status_point{
            background-color: #FFFFFF;
            border-width: 1px 0px 0px 1px;
            border-style: solid;
            border-color: #0d5a8f;
            position: absolute;
            width:15px;
            height: 15px;
            right: 58px;
            top: -8px;
            transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            -webkit-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
        }
        .wk_loggin_setting_area .wk_chat_setting{
            background: url("../../../../image/store_chat/cog.png");
            background-repeat: no-repeat;
            height: 24px;
            width:24px;
            float: right;
            position: relative;
            margin-top: 7px;
        }
         .wk_chat_setting .wk_chat_setting_options{
            background-color: #FFFFFF;
            border: 1px solid #0d5a8f;
            position: absolute;
            width: 285px;
            height: auto;
            top: 34px;
            right: -26px;
            z-index: 999;
            display: none;
        }
        .wk_chat_setting_options .setting_point{
            background-color: #FFFFFF;
            border-width: 1px 0px 0px 1px;
            border-style: solid;
            border-color: #0d5a8f;
            position: absolute;
            width:15px;
            height: 15px;
            right: 32px;
            top: -8px;
            transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            -webkit-transform: rotate(45deg);
            -moz-transform: rotate(45deg);
        }
        .wk_loggin_setting_area .wk_chat_sound{
            background: url("../../../../image/store_chat/icon-sound.png");
            background-repeat: no-repeat;
            height: 24px;
            width: 22px;
            float: right;
            margin-top: 7px;
            background-position: -21px 0px;
        }
        .wk_back_to_chat{
            background: url("../../../../image/store_chat/Back.png");
            background-repeat: no-repeat;
            height: 24px;
            width:24px;
            float: right;
            display: none;
            margin-top: 7px;
        }
        .wk_chat_status_options .online_status{
            background-color: #6bb555;
            width:10px;
            height: 10px;
            margin-top:3px;
            float: right;
            border: 1px solid #6bb555;
            border-radius: 50%;
            -moz-border-radius: 50%;
            -ms-border-radius: 50%;
            -webkit-border-radius: 50%;
        }
        .wk_chat_status_options .busy_status{
            background-color: #D10000;
            width:10px;
            height: 10px;
            margin-top:3px;
            float: right;
            border: 1px solid #D10000;
            border-radius: 50%;
            -moz-border-radius: 50%;
            -ms-border-radius: 50%;
            -webkit-border-radius: 50%;
        }
        .wk_chat_status_options .idle_status{
            background-color: #77777A;
            width:10px;
            height: 10px;
            margin-top:3px;
            float: right;
            border: 1px solid #77777a;
            border-radius: 50%;
            -moz-border-radius: 50%;
            -ms-border-radius: 50%;
            -webkit-border-radius: 50%;
        }
        .wk_loggin_setting_area .list-group-item{
            padding: 5px;
            font-family: open-sans;
            font-weight: 400;
            font-size: 14px;
            color: #424242;
        }
        .wk_loggin_setting_area .list-group-item:hover{
            background-color: #2b99ce;
            color: #FFFFFF;
        }
    /* option area end*/

    /*chat content area start*/
    .user_LoginChat_area .wk_chat_content{
        height:auto;
        width: 600px;
        padding: 8px 6px;
        position: absolute;
    }

    .wk_chat_content .wk_self_msg_area{
        width: 100%;
        height: auto;
        margin: 3px 0;
        overflow: hidden;
        display: inline-block;
    }
    .wk_chat_content .wk_self_image{
        background: url("../../../../image/store_chat/Small-Agent-Pic.png");
        background-repeat: no-repeat;
        height: 37px;
        width: 37px;
        margin-right: 7px;
        float: left;
    }
    .wk_chat_content .wk_self_message{
        width: 200px;
        height: auto;
        min-height:30px;
        padding:5px;
        position: relative;
        float: left;
        background-color: #F9F9F9;
        border: 1px solid #4BB7EB;
        word-wrap: break-word;
    }
    .wk_self_message .wk_self_message_point{
        width: 10px;
        height: 10px;
        position: absolute;
        background-color: #F9F9F9;
        border-style: solid;
        border-color: #4BB7EB;
        position: absolute;
        top: 9px;
        left: -6px;
        border-width: 1px 0px 0px 1px;
        transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);

    }
    .wk_chat_content .wk_other_msg_area{
        width: 100%;
        height: auto;
        margin: 3px 0;
        overflow: hidden;
        display: inline-block;
    }
    .wk_chat_content .wk_chat_history{
        height: 230px;
        overflow: auto;
    }
    .wk_chat_content .wk_other_image{
        background: url("../../../../image/store_chat/User-Pic.png");
        background-repeat: no-repeat;
        height: 37px;
        width: 37px;
        margin-left: 7px;
        float: right;
    }
    .wk_chat_content .wk_other_message{
        width: 200px;
        height: auto;
        font-family: open-sans;
        font-weight: 400;
        font-size: 13px;
        color: #0d5a8f;
        background-color: #baeaf4;
        padding:5px;
        position: relative;
        float: right;
        min-height:30px;
        border: 1px solid #4BB7EB;
        word-wrap: break-word;
    }
    .wk_other_message .wk_other_message_point{
        width: 10px;
        height: 10px;
        position: absolute;
        background-color: #baeaf4;
        border-style: solid;
        border-color: #4BB7EB;
        position: absolute;
        top: 9px;
        right: -6px;
        border-width: 1px 0px 0px 1px;
        transform: rotate(130deg);
        -ms-transform: rotate(130deg);
        -webkit-transform: rotate(130deg);
        -moz-transform: rotate(130deg);
    }
    .wk_emoji{
        cursor: pointer;
        height: 20px;
        left: 7px;
        position: absolute;
        top: 12px;
        width: 20px;
        font-size: 1.3em;
        z-index: 9;
    }
    .wk_enter_chat{
        position: relative;
        height: auto;
        display: block;
    }
    .wk_enter_chat .type_message{
        height: 46px;
        width: 80%;
        margin-top: 10px;
        background-color: #ffffff;
        border: none;
        border-radius: 0px !important;
        -moz-border-radius: 0px !important;
        -ms-border-radius: 0px !important;
        -webkit-border-radius: 0px !important;
    }
    .wk_enter_chat .wk_send_chat{
        background: url("../../../../image/store_chat/Send-Message.png");
        background-repeat: no-repeat;
        height: 37px;
        width: 37px;
        position: absolute;
        top: 6px;
        right:3px;
        cursor: pointer;
    }
    .wk_all_chat{
        max-height: 280px;
        float: left;
        display: inline;
        width: 282px;
        margin-right: 19px;
    }
    .wk_timeShow {
        color: #3399cc;
        float: right;
        font-size: 10px;
        font-style: italic;
        font-weight: bold;
    }

    /*chat content area end*/


    /* report area*/
    .wk_report_manager_area{
        max-height: 280px;
        width: 282px;
        float: left;
        display: inline;
    }
    .wk_report_manager_area .wk_rating_star{
        height: 50px;
        width: 100%;
        display: block;
        padding: 0 5px;
        border: 1px solid #9e9e9e;
        text-align: center;
    }
    .wk_rating_star .wk_star{
        background: url("../../../../image/store_chat/reviews.png");
        background-repeat: no-repeat;
        height: 23px;
        width: 23px;
        margin: 0 auto;
        display: inline;

    }
    .wk_star_range{
        display: inline-flex;
        -moz-display: inline-flex;
        -ms-display: inline-flex;
        -webkit-display: inline-flex;
    }
    .wk_star_range .wk_report_star{
        cursor: pointer;
    }
    .wk_rating{
        display: block;
        text-align: center;
        color: #424242;
    }
    .wk_seller_interest{
        height: 232px;
        width: 100%;
        display: block;
        padding: 5px;
        font-size: 14px;
        font-family: open-sans;
        color: #424242;
        border-style: solid;
        border-width: 0px 1px 1px 1px;
        border-color: #9e9e9e;
        position: relative;
        overflow: hidden;
    }
    .wk_report_manager_areaStartChat{
        max-height: 350px;
        width: 100%;
        float: left;
        display: inline;
        padding: 5px;
    }
     .wk_seller_interestStartChat{
        height: 340px;
        width: 100%;
        display: block;
        padding: 10px;
        font-size: 14px;
        font-family: open-sans;
        color: #424242;
        border: 2px solid #9e9e9e;
        overflow: hidden;
    }
    .wk_int_aboutManagerStartChat{
        font-weight: 700;
        font-size: 20px;
        line-height: 2;
        text-align:center;
        width: 70%;
        margin: 0 auto;
    }
    .wk_int_descriptionStartChat{
        height: 185px;
    }
    .wk_seller_interest .wk_int_about{
        font-weight: 700;
        height: 70px;
        max-height: 70px;
    }
    .wk_int_aboutManager{
        font-weight: bold;
        font-size: 18px;
        line-height: 2;
        text-align:center;
    }
    .wk_seller_interest .wk_int_about span{
        color: #0d5a8f;
    }
    .wk_seller_interest .wk_int_description{
        font-weight: 400;
        /*max-height:96px;*/
        word-wrap: break-word;
        /*overflow: hidden; */
        text-align: center;
    }


    /* report area*/




.user_chat_area{
    display: block;
    width: 100%;
    height: 100%;
    padding: 5px;
    border: 2px solid;
    overflow: hidden;
}
.admin_detains{
    width: 100%;
    height: auto;
    background-color: #FFFFFF;
    padding: 5px;
    display: block;
    border: 2px solid;
    display: inline-block;
    box-shadow: 0 0 2px black;
}
.wk_area{
    display: block;
    width:100%;
    height:auto;
    padding:5px;
    border: 1px solid;
}
.user_textarea{
    height: 226px;
    /*padding: 5px;*/
    overflow: auto;
}
.message_send_area{
    display: inline-block;
    padding:10px 1px;
    margin: 0px;

}



/**
 * for message notification on screen
 */

.msg_notification {
    width: 260px;
    height: 70px;
    background-color: #FFF;
    border: 1px solid #E7E7E7;
    box-shadow: 0px 0px 5px 0px #707070;
    z-index: 2;
    display: inline-block;
}
.msg_notification .wk_msgLogo {
    width: 30%;
    height: 100%;
    background-color: #0D5A8F;
    padding: 10px;
    display: block;
    float: left;
}
.msg_notification .wk_msgdetails {
    width: 70%;
    height: 100%;
    background-color: #FFFFFF;
    float: left;
    display: block;
    padding: 6px;
    line-height: 1;
    position: relative;
    overflow: hidden;
}
.wk_msgdetails .wk_userName {
    width: 80%;
    color: #2b99ce;
    font-family: opensans;
    font-weight: 400;
    font-size: 14px;
    display: inline;
    padding: 5px;
}
.wk_msgdetails .wk_userEmail {
    padding: 3px 13px 0;
    font-weight: bold;
}

.wk_msgdetails .wk_userMsg {
    width: 100%;
    color: #424242;
    font-family: opensans;
    font-weight: 400;
    font-size: 14px;
    padding: 5px;
    height: 45px;
    overflow: hidden;
    float: left;
    text-overflow: ellipsis;
    display: block;
}

.wk_msgdetails .wk_userLink {
    width: 100%;
    color: #2b99ce;
    font-family: opensans;
    font-weight: 400;
    font-size: 13px;
    display: block;
    padding: 5px;
    float: left;
}
.wk_msgdetails .wk_msgClose{
    position: absolute;
    height: 15px;
    width: 13px;
    right: 6px;
    top: 2px;
    background-repeat: no-repeat;
    color: #000000;
    float: left;
    cursor: pointer;
    overflow: hidden;
}
.wk_chatNotifyArea {
    position: fixed;
    background: transparent;
    width: 260px;
    height: auto;
    right: 0px;
    top: 25px;
    z-index: 2;
}

/**
 * Ofline message css
 */

.wk_offlineMsg {
    background-color: #ebccd1;
    border: 1px solid #a94442;
    border-radius: 3px;
    color: #a94442;
    padding: 5px;
    text-align: center;
}
.hide{
    display: none;
}
.emoji-menu {
    top: -225px;
    width: 100% !important;
}

.login_content .emoji-picker-icon {
    top: 50px;
}
.login_content .emoji-menu {
    top: -190px;
}

.wk_enter_chat .emoji-picker-icon, .wk_enter_chat .emoji-picker-icon.parent-has-scroll {
    right: 32px !important;
}
.file-upload {
    background: white;
    width: 20%;
    float: right;
    border: none; 
    height: 46px;   
}
.file-upload button {
    font-size: 20px;
    top: 5px;
    right: 2px;
    position: absolute;
    border: none;
    background: none;
    outline:none;
}
.file-upload i {
    font-size: 20px;
}
.file-name {
    background: #fff;
    border: 1px solid #dee2e6!important;
    padding: 10px;
    position: absolute;
    width: inherit;
    bottom: 49px;
}
.file-name .name {
    width: 90%;
    font-weight:bold; 
}
.file-name a {
    position: absolute;
    right: 20px;
    top: 10px;
    color: inherit;
    font-weight: bold;
}
.toaster {
    left: 25%;
    width: 50%;
    top: 0px;
}
.toaster .alert-dismissable .close,.toaster .alert-dismissible .close {
    right: -10px;
}

